Checks the validity of sub iterators

- « MultipleIterator::setFlags

- NoRewindIterator »

- PHP Manual
- MultipleIterator
- Checks the validity of sub iterators

# MultipleIterator::valid

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

MultipleIterator::valid — Checks the validity of sub iterators

### Description

public MultipleIterator::valid(): bool

Checks the validity of sub iterators.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if one or all sub iterators are valid depending on flags, otherwise `false`

### See Also

- MultipleIterator::__construct() - Constructs a new MultipleIterator